/ comp / gb.opengl / gl / clearaccum
Gl.ClearAccum (gb.opengl)
Syntax

    STATIC SUB ClearAccum ( Red AS Float, Green AS Float, Blue AS Float, Alpha AS Float )

### Specify clear values for the accumulation buffer

#### Parameters

- Red, Green, Blue, Alpha specify the red, green, blue, and alpha values used when the accumulation buffer is cleared. The default values are all zero.

#### Description

Gl.ClearAccum specifies the red, green, blue, and alpha values used by Gl.Clear to clear the accumulation buffer. Values specified by Gl.ClearAccum are clamped to the range [-1,1].

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.ClearAccum is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetAccumClearValue

### See also

Gl.Clear